// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/public/service (interfaces: Service)

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	post "github.com/xescugc/smf/interops/post"
	reflect "reflect"
)

// Service is a mock of Service interface
type Service struct {
	ctrl     *gomock.Controller
	recorder *ServiceMockRecorder
}

// ServiceMockRecorder is the mock recorder for Service
type ServiceMockRecorder struct {
	mock *Service
}

// NewService creates a new mock instance
func NewService(ctrl *gomock.Controller) *Service {
	mock := &Service{ctrl: ctrl}
	mock.recorder = &ServiceMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *Service) EXPECT() *ServiceMockRecorder {
	return m.recorder
}

// GetPosts mocks base method
func (m *Service) GetPosts(arg0 context.Context) ([]*post.WithChannel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetPosts", arg0)
	ret0, _ := ret[0].([]*post.WithChannel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetPosts indicates an expected call of GetPosts
func (mr *ServiceMockRecorder) GetPosts(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetPosts", reflect.TypeOf((*Service)(nil).GetPosts), arg0)
}
